public class AnyWildCardDemo {
  public static void main(String[] args) {
    GenericStack<Integer> intStack = new GenericStack<>();
    intStack.push(1); // Liczba 1 jest opakowywana w typ Integer (autoboxing)
    intStack.push(2);
    intStack.push(-2);

    print(intStack);
  }

  /** Wyświetla obiekty i opróżnia stos */
  public static void print(GenericStack<?> stack) {
    while (!stack.isEmpty()) {
      System.out.print(stack.pop() + " ");
    }
  }
}
